#
# spec file for package python-etude
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-etude
Version:        0.1
Release:        3.27
Summary:        An xmms2 client written in pygtk
License:        GPL-3.0+ and LGPL-3.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://code.google.com/p/etude-music-player/
Source:         etude-music-player-0.1.tar.gz
BuildRequires:  fdupes
BuildRequires:  libvisual-devel
BuildRequires:  pyrex
BuildRequires:  python-devel
BuildRequires:  python-goocanvas
BuildRequires:  python-gtk-devel
BuildRequires:  python-notify
BuildRequires:  python-opengl
BuildRequires:  python-setuptools
BuildRequires:  python-xdg
BuildRequires:  python-xmms2
BuildRequires:  update-desktop-files
BuildRequires:  xmms2-devel
Requires:       python-base
Requires:       python-xmms2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Etude Music Player is an xmms2 client written in pygtk.

%prep
%setup -qn etude-music-player-%{version}

%build
python setup.py build

%install
python setup.py install --enable-visual --root %{buildroot} --prefix %{_prefix}
%find_lang etude
%suse_update_desktop_file -i %{buildroot}%{_datadir}/applications/etude.desktop
%fdupes -s %{buildroot}

%files -f etude.lang
%defattr(-,root,root)
%doc COPYING COPYING.LESSER
%{_bindir}/etude
%{python_sitelib}/*
%{_datadir}/icons/hicolor/scalable/apps/
%{_datadir}/icons/hicolor/32x32/apps/etude.png
%{_datadir}/pixmaps/etude.svg
%{_datadir}/applications/etude.desktop

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Mar  7 2013 cfarrell@suse.com
- Require python-xmms2 (otherwise etude will crash immediately)
* Wed Dec  7 2011 saschpe@suse.de
- Spec file cleanup:
  * Don't depend on Python-2.7 (allow building on openSUSE-11.3)
  * Buildrequire python-distribute instead of python-setuptools
  * Don't package PKG-INFO (it's just meta data)
  * Removed outdated clean section
  * Package is noarch (except on SLE-11)
* Mon Nov 14 2011 nlminhtl@gmail.com
- first commit
